Subject: Re: IPoIB: Fix multicast packet drops before join is complete

From: Roland Dreier <[email-masked]>
Date: Fri, 05 Jun 2009 14:12:35 -0700

> > Yes -- and the required IB multicast resolution seems like it is an L2
 > > thing precisely analogous to ARP.  So I think the original IPoIB code
 > > actually was doing the right thing.
 > 
 > Then why dont the 1G NICs do the same?

ethernet is a different L2 -- you don't have to resolve an IP multicast
address to an L2 address the way you do for IPoIB.

My point is just that multicast group join is the same sort of L2
resolution as ARP is for ethernet, and so having the same sort of
behavior makes sense.

 - R.